Skip to main content
POST
Read batch objects

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectType
string
required

The type of CRM object to read in batch, such as contacts, companies, or deals.

Query Parameters

archived
boolean
default:false

Whether to return only results that have been archived. Defaults to false.

Body

application/json

Specifies the input for reading a batch of CRM objects, including arrays of object IDs, requested property names (with optional history), and an optional unique identifying property.

inputs
object[]
required

An array of SimplePublicObjectId objects, each containing an ID of an object to be read.

properties
string[]
required

An array of strings representing the properties to be returned in the response for each object.

propertiesWithHistory
string[]
required

An array of strings indicating the properties for which historical values should be returned, along with the current values.

idProperty
string

A string that specifies the name of a property whose values are unique for the object type, used to identify the objects.

Response

successful operation

A public object batch response object

completedAt
string<date-time>
required

The date and time when the batch operation was completed, in ISO 8601 format.

results
object[]
required

An array of SimplePublicObject items that are the result of the batch operation.

startedAt
string<date-time>
required

The date and time when the batch operation started, in ISO 8601 format.

status
enum<string>
required

The current status of the batch operation. Valid values include 'PENDING', 'PROCESSING', 'CANCELED', and 'COMPLETE'.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

A map of link names to associated URIs related to the batch operation.

requestedAt
string<date-time>

The date and time when the batch operation was requested, in ISO 8601 format.

Last modified on September 14, 2026